Open CASCADE Technology: PGeom_Circle Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PGeom_Circle Class Reference

`#include <PGeom_Circle.hxx>`

Inheritance diagram for PGeom_Circle:
[legend]

## Public Member Functions
| PGeom_Circle ()
| Creates a circle with default values. More...
| PGeom_Circle (const gp_Ax2 &aPosition, const Standard_Real aRadius)
| Creates a Circle with <aPosition> and <aRadius> as field values. More...
void | Radius (const Standard_Real aRadius)
| Set the value of the field radius with <aRadius>. More...
Standard_Real | Radius () const
| Returns the value of the field radius. More...
| PGeom_Circle (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom_Circleradius () const
void | _CSFDB_SetPGeom_Circleradius (const Standard_Real p)
Public Member Functions inherited from PGeom_Conic
void | Position (const gp_Ax2 &aPosition)
| Set the value of the field position with <aPosition>. More...
gp_Ax2 | Position () const
| Returns the value of the field <position>. More...
| PGeom_Conic (const Storage_stCONSTclCOM &a)
const gp_Ax2 & | _CSFDB_GetPGeom_Conicposition () const
Public Member Functions inherited from PGeom_Curve
| PGeom_Curve (const Storage_stCONSTclCOM &a)
| PGeom_Curve ()
Public Member Functions inherited from PGeom_Geometry
| PGeom_Geometry (const Storage_stCONSTclCOM &a)
| PGeom_Geometry ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PGeom_Conic
| PGeom_Conic ()
| Initializes the field(s) with default value(s). More...
| PGeom_Conic (const gp_Ax2 &aPosition)
| Initializes the field position with <aPosition>. More...
Protected Attributes inherited from PGeom_Conic
gp_Ax2 | position

## Constructor & Destructor Documentation

PGeom_Circle::PGeom_Circle | ( |  | ) |

Creates a circle with default values.

PGeom_Circle::PGeom_Circle | ( | const gp_Ax2 & | aPosition,
|  | const Standard_Real | aRadius
| ) |  |

Creates a Circle with <aPosition> and <aRadius> as field values.

PGeom_Circle::PGeom_Circle | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Standard_Real PGeom_Circle::_CSFDB_GetPGeom_Circleradius | ( |  | ) | const
| inline

void PGeom_Circle::_CSFDB_SetPGeom_Circleradius | ( | const Standard_Real | p | ) |
| inline

void PGeom_Circle::Radius | ( | const Standard_Real | aRadius | ) |

Set the value of the field radius with <aRadius>.

Standard_Real PGeom_Circle::Radius | ( |  | ) | const

Returns the value of the field radius.

The documentation for this class was generated from the following file:

- PGeom_Circle.hxx